﻿namespace SentenceParserTests

open System
open Microsoft.VisualStudio.TestTools.UnitTesting
open SentenceParser

[<TestClass>]
type TestClass () =

    [<TestMethod>]
    member this.ValidSentenceReturnsAWordList() =
        let input = "The quick brown fox jumped over the lazy dog."
        let expected = [ "The"; "quick"; "brown"; "fox"; "jumped"; "over"; "the"; "lazy"; "dog" ]
        let result = parse input
        match result with
        | Some warr ->
            Assert.AreEqual(expected, warr)
        | None ->
            Assert.IsTrue false

    [<TestMethod>]
    member this.ValidQuestionReturnsAWordList() =
        let input = "Does the quick brown fox jump over the lazy dog?"
        let expected = [ "Does"; "the"; "quick"; "brown"; "fox"; "jump"; "over"; "the"; "lazy"; "dog" ]
        let result = parse input
        match result with
        | Some warr ->
            Assert.AreEqual(expected, warr)
        | None ->
            Assert.IsTrue false
